summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUltrabug <ultrabug@gentoo.org>2017-04-25 13:47:40 +0200
committerUltrabug <ultrabug@gentoo.org>2017-04-25 13:47:58 +0200
commit6dab9d04aabd2356b598e5d3a90e514316997a3f (patch)
tree76fd656976936cf2cfa57aaac77dad4531117926 /sys-cluster
parentmedia-sound/musique: correct DESCRIPTION (diff)
downloadgentoo-6dab9d04aabd2356b598e5d3a90e514316997a3f.tar.gz
gentoo-6dab9d04aabd2356b598e5d3a90e514316997a3f.tar.bz2
gentoo-6dab9d04aabd2356b598e5d3a90e514316997a3f.zip
sys-cluster/heartbeat: version bump
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Diffstat (limited to 'sys-cluster')
-rw-r--r--sys-cluster/heartbeat/Manifest1
-rw-r--r--sys-cluster/heartbeat/files/3.0.6-configure.patch103
-rw-r--r--sys-cluster/heartbeat/files/3.0.6-docs.patch59
-rw-r--r--sys-cluster/heartbeat/heartbeat-3.0.6.ebuild85
4 files changed, 248 insertions, 0 deletions
diff --git a/sys-cluster/heartbeat/Manifest b/sys-cluster/heartbeat/Manifest
index 143d1e5ed19..9cb7746592f 100644
--- a/sys-cluster/heartbeat/Manifest
+++ b/sys-cluster/heartbeat/Manifest
@@ -1 +1,2 @@
DIST STABLE-3.0.5.tar.bz2 538986 SHA256 fc7b11f9e1f16bc853434208a1ce86803acf1d0fb6f43715209a84c1c34661c3 SHA512 e38083b87c56a72eb8925ac42adeabb92618608e92218a63960ec0d0bca264f92a8e9c3ebfb0589cc4538da1a82b268b5cc9ee5a51ed33057c969e694e16b27d WHIRLPOOL 699c2679c38f17aacbf230dd68203a8967748c086713ad8bf55688b1e8933caf117ec2a8d2be2ec19b0fa077eacaa1cceec0fea14d181510abb24644a486f6c4
+DIST STABLE-3.0.6.tar.bz2 532796 SHA256 1ab098e6fd22b5a3522b5f9a852ff41a3baff24e5c479801142dbce5f048f42b SHA512 c11fc2e333040b494e63cc0b55d7e5f7555850ba79d8ec6fea17960ec22ee210a81a63a6e486383b6d44d2532c0dc0d69dcffddf9354b7830771a7a532c33f33 WHIRLPOOL d72c74c48917daad202d196a5d0dfc8d80d1dc1f15aa112113d772d8e0c772061169e3f500d36427112720fb316efdbb92a02e897c8c1b8d8c5d7242f3de19b0
diff --git a/sys-cluster/heartbeat/files/3.0.6-configure.patch b/sys-cluster/heartbeat/files/3.0.6-configure.patch
new file mode 100644
index 00000000000..36054dd23d3
--- /dev/null
+++ b/sys-cluster/heartbeat/files/3.0.6-configure.patch
@@ -0,0 +1,103 @@
+diff -ru a/configure.ac b/configure.ac
+--- a/configure.ac 2015-02-04 15:57:04.000000000 +0100
++++ b/configure.ac 2017-04-25 13:33:58.668521006 +0200
+@@ -243,9 +243,9 @@
+ mandir=`var "$mandir" "$exec_prefix/man"`
+ dnl docdir is available in autoconf 2.60+, for older versions preseed
+ dnl with the same value that 2.60+ uses
+-docdir=`var "$docdir" "${datadir}/doc/${HB_PKG}"`
+-libdir=`var "$libdir" "$exec_prefix/lib"`
+-libexecdir=`var "$libexecdir" "$exec_prefix/libexec"`
++dnl docdir=`var "$docdir" "${datadir}/doc/${PACKAGE_NAME}"`
++dnl libdir=`var "$libdir" "$exec_prefix/lib"`
++dnl libexecdir=`var "$libexecdir" "$exec_prefix/libexec"`
+ noarchlibdir=`var "$noarchlibdir" "$prefix/lib"`
+
+
+@@ -284,53 +284,12 @@
+ LIBC=`${LDD} ${tmpOutfile} | grep libc | sed -e 's%.*=> *%%' -e 's% .*$%%'`
+ LibCdir=`dirname $LIBC`
+ dirlist=`echo $LibCdir | tr '/' ' '`
+- LibDirSuffix=unknown
+- for dir in $dirlist
+- do
+- case $dir in
+- *lib*) LibDirSuffix=$dir; break;;
+- *);;
+- esac
+- done
+- case $LibDirSuffix in
+- unknown) LibDirSuffix=`basename $LibCdir`;;
+- esac
+ OutFileType=`file $tmpOutfile`
+ rm -f $tmpCfile $tmpOutfile
+ else
+ AC_MSG_ERROR([Cannot Compile trivial C program])
+ fi
+-#
+-# The code above doesn't work right everywhere
+-# (like Fedora and OpenBSD)
+-#
+-case ${LibDirSuffix} in
+- *lib*) : Cool;;
+- *) : Sigh...
+- case $OutFileType in
+- *64-bit*)
+- case $host_os in
+- openbsd*) LibDirSuffix=lib;;
+- *) LibDirSuffix=lib64;;
+- esac;;
+- *32-bit*) LibDirSuffix=lib;;
+- *) LibDirSuffix=lib;;
+- esac;;
+-esac
+-#
+-# This may not yet be quite right for PPC where the default
+-# is to produce 32-bit binaries, even though the OS is 64-bit
+-# or for that matter for system Z, But, it's a lot better than
+-# it used to be.
+-#
+-AC_MSG_RESULT($LibDirSuffix)
+
+-case $libdir in
+- */*${LibDirSuffix}) : Cool ;;
+- *) : Uh Oh...
+- libdir=`dirname $libdir`/$LibDirSuffix
+- AC_MSG_WARN([Overriding libdir to: $libdir]);;
+-esac
+ for j in exec_prefix bindir sbindir datadir sysconfdir localstatedir \
+ includedir oldincludedir mandir docdir stdocdir libdir noarchlibdir
+ do
+@@ -379,7 +338,6 @@
+ fi
+
+ AC_CHECK_HEADERS(heartbeat/glue_config.h)
+-GLUE_HEADER=none
+ if test "$ac_cv_header_heartbeat_glue_config_h" = "yes"; then
+ GLUE_HEADER=heartbeat/glue_config.h
+ else
+@@ -463,15 +421,6 @@
+
+ dnl We use this in the RPM specfile...
+ AC_SUBST(ac_configure_args)
+-cleaned_configure_args=""
+-for j in ${ac_configure_args}
+-do
+- case $j in
+- *--libdir=*|*--libexecdir=*) ;;
+- *) cleaned_configure_args="$cleaned_configure_args $j";;
+- esac
+-done
+-AC_SUBST(cleaned_configure_args)
+
+ dnl *************************************************************************
+ PATH="$PATH:/sbin:/usr/sbin:/usr/local/sbin:/usr/local/bin"
+@@ -2087,7 +2036,7 @@
+ fi
+
+ if test "$GCC" = yes; then
+- CFLAGS="$CFLAGS -ggdb3"
++ CFLAGS="$CFLAGS"
+ if
+ cc_supports_flag -funsigned-char
+ then
diff --git a/sys-cluster/heartbeat/files/3.0.6-docs.patch b/sys-cluster/heartbeat/files/3.0.6-docs.patch
new file mode 100644
index 00000000000..7c5c9573109
--- /dev/null
+++ b/sys-cluster/heartbeat/files/3.0.6-docs.patch
@@ -0,0 +1,59 @@
+diff -ru a/configure.ac b/configure.ac
+--- a/configure.ac 2015-02-04 15:57:04.000000000 +0100
++++ b/configure.ac 2017-04-25 11:57:33.706753890 +0200
+@@ -574,8 +574,14 @@
+ AC_PATH_PROGS(TEST, test)
+ PKG_PROG_PKG_CONFIG
+
+-dnl xsltproc is required for building the man pages
+-AC_PATH_PROGS(XSLTPROC, xsltproc)
++AC_ARG_ENABLE([doc],
++ AS_HELP_STRING([--enable-doc],[Build documentation]
++))
++AS_IF([test "x$enable_doc" = "xyes"], [
++ AC_PATH_PROGS(XSLTPROC, xsltproc)
++])
++AM_CONDITIONAL([BUILD_DOC], [test "x$enable_doc" = "xyes"] )
++AC_SUBST(XSLTPROC)
+
+ dnl ************************************************************************
+ dnl Check whether non-root user can chown.
+diff -ru a/doc/Makefile.am b/doc/Makefile.am
+--- a/doc/Makefile.am 2015-02-04 15:57:04.000000000 +0100
++++ b/doc/Makefile.am 2017-04-25 11:58:35.459257834 +0200
+@@ -33,11 +33,12 @@
+
+ doc_DATA = $(OTHER_DOCS)
+
++if BUILD_DOC
+ man_MANS = heartbeat.8 apphbd.8 cl_status.1 \
+ hb_standby.1 hb_takeover.1 hb_addnode.1 hb_delnode.1 \
+ ha.cf.5 authkeys.5
+
+-STYLESHEET_PREFIX ?= http://docbook.sourceforge.net/release/xsl/current
++STYLESHEET_PREFIX ?= /usr/share/sgml/docbook/xsl-stylesheets
+ MANPAGES_STYLESHEET ?= $(STYLESHEET_PREFIX)/manpages/docbook.xsl
+ HTML_STYLESHEET ?= $(STYLESHEET_PREFIX)/xhtml/docbook.xsl
+ FO_STYLESHEET ?= $(STYLESHEET_PREFIX)/fo/docbook.xsl
+@@ -47,6 +48,12 @@
+ XSLTPROC_HTML_OPTIONS ?= $(XSLTPROC_OPTIONS)
+ XSLTPROC_FO_OPTIONS ?= $(XSLTPROC_OPTIONS)
+
++%.5 %.8 %.1: %.xml
++ $(XSLTPROC) \
++ $(XSLTPROC_MANPAGES_OPTIONS) \
++ $(MANPAGES_STYLESHEET) $<
++endif
++
+ EXTRA_DIST = $(txtfiles) $(htmlfiles) $(man_MANS) $(OTHER_DOCS)
+
+ ChangeLog: $(SPECSRC)
+@@ -55,8 +62,3 @@
+
+ .html.txt:
+ if [ "X$(HTML2TXT)" = "X" ]; then echo "Lynx or w3m or user-defined HTML2TXT required to convert $< to $@" >$@ ; else $(HTML2TXT) -dump $< >$@ ; fi
+-
+-%.5 %.8 %.1: %.xml
+- $(XSLTPROC) \
+- $(XSLTPROC_MANPAGES_OPTIONS) \
+- $(MANPAGES_STYLESHEET) $<
diff --git a/sys-cluster/heartbeat/heartbeat-3.0.6.ebuild b/sys-cluster/heartbeat/heartbeat-3.0.6.ebuild
new file mode 100644
index 00000000000..87b148818ad
--- /dev/null
+++ b/sys-cluster/heartbeat/heartbeat-3.0.6.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit autotools python-single-r1
+
+DESCRIPTION="Heartbeat high availability cluster manager"
+HOMEPAGE="http://www.linux-ha.org/wiki/Heartbeat"
+SRC_URI="http://hg.linux-ha.org/${PN}-STABLE_3_0/archive/STABLE-${PV}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~x86"
+IUSE="doc snmp static-libs"
+
+RDEPEND="sys-cluster/cluster-glue
+ dev-libs/glib:2
+ virtual/ssh
+ net-libs/gnutls
+ snmp? ( net-analyzer/net-snmp )
+ ${PYTHON_DEPS}
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ dev-lang/swig
+ doc? ( dev-libs/libxslt app-text/docbook-xsl-stylesheets )"
+
+PDEPEND="sys-cluster/resource-agents"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+S=${WORKDIR}/Heartbeat-3-0-STABLE-${PV}
+
+PATCHES=(
+ "${FILESDIR}/3.0.6-configure.patch"
+ "${FILESDIR}/3.0.6-docs.patch"
+ "${FILESDIR}/3.0.4-python_tests.patch"
+)
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+
+ ewarn "If you're upgrading from heartbeat-2.x please follow:"
+ ewarn "https://www.gentoo.org/proj/en/cluster/ha-cluster/heartbeat-upgrade.xml"
+}
+
+src_prepare() {
+ default
+ eautoreconf
+
+ cp "${FILESDIR}"/heartbeat-init "${WORKDIR}" || die
+ sed -i \
+ -e "/ResourceManager/ s/lib/share/" \
+ -e "s:lib:$(get_libdir):g" \
+ "${WORKDIR}"/heartbeat-init || die
+}
+
+src_configure() {
+ econf \
+ --disable-fatal-warnings \
+ $(use_enable static-libs static) \
+ $(use_enable doc) \
+ --disable-tipc \
+ --enable-dopd \
+ $(use_enable snmp)
+}
+
+src_install() {
+ default
+
+ newinitd "${WORKDIR}/heartbeat-init" heartbeat
+
+ # fix collisions
+ rm -rf "${D}"/usr/include/heartbeat/{compress,ha_msg}.h || die
+
+ if ! use static-libs; then
+ find "${D}" -name "*.la" -delete || die
+ fi
+
+ if use doc ; then
+ dodoc README doc/*.txt doc/AUTHORS || die
+ fi
+}